# $Revision: 1.38 $, $Date: 2012/02/11 09:06:45 $
Summary:	The PGPLOT Graphics Subroutine Library
Summary(pl.UTF-8):	Biblioteka PGPLOT
Name:		pgplot
Version:	5.2.2
Release:	9
%define	foover	%(echo %{version} | tr -d .)
License:	free for non-commercial purposes
Group:		Libraries
Source0:	ftp://ftp.astro.caltech.edu/pub/pgplot/%{name}%{foover}.tar.gz
# Source0-md5:	e8a6e8d0d5ef9d1709dfb567724525ae
Patch0:		%{name}-misc.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-drv.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-png.patch
Patch5:		%{name}-compile.patch
Patch6:		%{name}-libpng15.patch
URL:		http://astro.caltech.edu/~tjp/pgplot/
BuildRequires:	libxcb-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	gcc-fortran
BuildRequires:	motif-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Device-independent graphics package for making simple scientific
graphs.

%description -l pl.UTF-8
Niezależny sprzętowo pakiet graficzny do tworzenia naukowych wykresów.

%package devel
Summary:	PGPLOT application development files
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji dla PGPLOT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and headers for developing applications that use PGPLOT.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe niezbędne do tworzenia aplikacji dla
PGPLOT.

%package demos
Summary:	PGPLOT demo applications
Summary(pl.UTF-8):	Aplikacje demonstracyjne PGPLOT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description demos
Demonstration applications for PGPLOT.

%description demos -l pl.UTF-8
Aplikacje demonstrujące wykorzystanie biblioteki PGPLOT.

%package static
Summary:	PGPLOT static libraries
Summary(pl.UTF-8):	Biblioteki statyczne dla PGPLOT
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for PGPLOT.

%description static -l pl.UTF-8
Biblioteki statyczne dla PGPLOT.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
./makemake . linux g77_gcc
%{__make} -j1 \
	FCOMPL=gfortran \
	SHARED_LD="gfortran -shared -o libpgplot.so.5.2.2 -Wl,-soname,libpgplot.so.5 -f2c" \
	FFLAGC="-u -Wall -fPIC %{rpmcflags}" \
	CFLAGC="-Wall -fPIC -DPG_PPU %{rpmcflags}" \
	CFLAGD="-Wall %{rpmcflags}" \
	SHARED_LIB_LIBS="-L/usr/X11R6/%{_lib} -lX11 -lpng" \
	LIBS="-L/usr/X11R6/%{_lib} -lX11" \
	MOTIF_LIBS="-L/usr/X11R6/%{_lib} -lXm -lXt -lX11"

%{__make} cpg \
	FCOMPL=gfortran \
	CFLAGD="-Wall %{rpmcflags}" \
	LIBS="-L/usr/X11R6/%{_lib} -lX11"

%{__make} pgplot.html
%{__make} pgplot-routines.tex
%{__make} clean

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_bindir},%{_mandir}/man3} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}/{cpg,pgm,demos} \
	$RPM_BUILD_ROOT%{_libdir}/pgplot

install grfont.dat grexec.f rgb.txt *.inc	$RPM_BUILD_ROOT%{_libdir}/pgplot
install pgdisp pgxwin_server			$RPM_BUILD_ROOT%{_bindir}
install cpgplot.h XmPgplot.h			$RPM_BUILD_ROOT%{_includedir}
install pgplot.3x				$RPM_BUILD_ROOT%{_mandir}/man3
install lib*.a					$RPM_BUILD_ROOT%{_libdir}
install libpgplot.so.*				$RPM_BUILD_ROOT%{_libdir}

(cd $RPM_BUILD_ROOT%{_libdir}; ln -sf libpgplot.so.*.*.* libpgplot.so)

install cpgdemo $RPM_BUILD_ROOT%{_examplesdir}/%{name}/cpg
install pgdemo* $RPM_BUILD_ROOT%{_examplesdir}/%{name}/demos
install pgmdemo $RPM_BUILD_ROOT%{_examplesdir}/%{name}/pgm
cp -a cpg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}/cpg
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}/demos
cp -a drivers/xmotif/pgmdemo.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}/pgm

mv -f pgdispd/aaaread.me pgdispd/pgdisp.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc drivers.list aaaread.me ver5*.txt pgplot.doc pgdispd/pgdisp.txt copyright.notice
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpgplot.so.*.*

%dir %{_libdir}/pgplot
%{_libdir}/pgplot/grexec.f
%{_libdir}/pgplot/grfont.dat
%{_libdir}/pgplot/rgb.txt

%files devel
%defattr(644,root,root,755)
%doc pgplot-routines.tex pgplot.html
%attr(755,root,root) %{_libdir}/libpgplot.so
%{_libdir}/libcpgplot.a
%{_libdir}/libXmPgplot.a
%{_libdir}/pgplot/*.inc
%{_includedir}/*
%{_mandir}/man3/*

%files demos
%defattr(644,root,root,755)
%{_examplesdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpgplot.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pgplot.spec,v $
Revision 1.38  2012/02/11 09:06:45  adamg
- release 9 (rebuild against libpng-1.5)

Revision 1.37  2012/02/07 22:05:52  arekm
- release 8

Revision 1.36  2011/12/20 19:35:45  arekm
- release 7

Revision 1.35  2010/04/21 17:06:30  arekm
- release 6

Revision 1.34  2010/02/06 21:59:14  sls
- make -j1

Revision 1.33  2010/02/06 21:10:36  arekm
- release 5

Revision 1.32  2008/06/28 09:52:08  arekm
- release 4

Revision 1.31  2008-04-07 14:53:39  baggins
- rel 3
- modular xorg R

Revision 1.30  2007/02/24 11:15:29  sls
- added compile.patch
- fixed linking
- fixed compilation of cpg

Revision 1.29  2007/02/24 09:46:28  sls
- fixed to compile with gcc-4
- BR: gcc-g77 changed to gcc-fortran

Revision 1.28  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.26  2006/03/25 22:49:26  qboosh
- gpm-friendly Source0 URL

Revision 1.25  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.24  2004/04/10 22:05:49  qboosh
- lib64 fixes, release 2

Revision 1.23  2004/04/10 21:42:16  qboosh
- strict internal deps

Revision 1.22  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.21  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:25:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/03/25 17:05:24  qboosh
- updated to 5.2.2
- updated drv and config patches, added png patch
- moved static-only libraries to -devel

Revision 1.18  2003/03/21 11:39:36  ankry
- more informative License field

Revision 1.17  2003/03/21 11:16:40  radek
- fixed Source0 URL (beware of symlinks); NOTE: newer version available

Revision 1.16  2003/03/02 16:21:41  radek
- updated for perl-5.8; release 2, _untested_

Revision 1.15  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.14  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/02 20:34:26  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.11  2002/02/01 14:54:13  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.10  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/05/27 17:54:56  kloczek
- release 2.

Revision 1.8  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/06/12 13:36:40  baggins
- change buildrequires from lesstif-devel to motif-devel

Revision 1.6  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.2  1999/11/14 07:18:02  kloczek
- added man level 3 pages to devel,
- simplifications in %files.

Revision 1.1  1999/11/13 16:49:39  pius
- initial release
